package com.ruoyi.applet.contoller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.domain.AppletOrder;
import com.ruoyi.model.domain.AppletOutDate;
import com.ruoyi.model.domain.AppletPet;
import com.ruoyi.model.service.IAppletOrderService;
import com.ruoyi.model.service.IAppletPetService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cn.hutool.poi.excel.sax.ElementName.v;

@Api(description = "订单模块 - 接单大厅流程")
@RestController
@RequestMapping("/applet/order")
public class ApiAppletOrderController {

    @Autowired
    private IAppletOrderService appletOrderService;
    @Autowired
    private IAppletPetService appletPetService;

    //接单大厅流程
    @ApiOperation("小程序-接单大厅流程")
    @GetMapping("/list")
    public AjaxResult outDateList(AppletOrder appletOrder){
        if(appletOrder.getStatus()==null){
            return AjaxResult.error("status状态不能为空");
        }
        if(appletOrder.getUserId() == null){
            return AjaxResult.error("userId用户信息标识不能为空");
        }
        List<AppletOrder> list = appletOrderService.selectAppletOrderList(appletOrder);
        for(AppletOrder order:list){
            order.setAppletPetList(appletPetService.selectAppletPetListByOrderId(order.getId()));
        }
        return AjaxResult.success("接单大厅数据列表",list);
    }


    //接单大厅 - 根据订单标识查询订单详情的接口
    @ApiOperation("接单大厅 - 根据订单标识查询订单详情的接口")
    @GetMapping("/getByOrderId")
    public AjaxResult getByOrderId(AppletOrder appletOrder){
        if(appletOrder.getId() == null){
            return AjaxResult.error("订单标识不能为空");
        }
        AppletOrder appletOrder1 = appletOrderService.selectAppletOrderById(appletOrder.getId());
        appletOrder1.setAppletPetList(appletPetService.selectAppletPetListByOrderId(appletOrder1.getId()));
        return AjaxResult.success("接单大厅查看详情",appletOrder1);
    }


    //接单大厅 - 拒绝、无法接单
    @ApiOperation("接单大厅 - 拒绝、无法接单")
    @PostMapping("/endByOrderId")
    public AjaxResult endByOrderId(@RequestBody AppletOrder appletOrder){
        if(appletOrder.getId() == null){
            return AjaxResult.error("订单标识不能为空");
        }
        if(appletOrder.getUserId() == null){
            return AjaxResult.error("userId用户信息标识不能为空");
        }
        if(appletOrder.getReason() == null){
            return AjaxResult.error("无法接单原因不能为空");
        }
        appletOrder.setStatus(2);
        appletOrderService.updateAppletOrder(appletOrder);
        return AjaxResult.success("拒单成功",appletOrder);
    }



    //接单大厅 - 立即接单
    @ApiOperation("接单大厅 - 立即接单")
    @PostMapping("/startByOrderId")
    public AjaxResult startByOrderId(@RequestBody AppletOrder appletOrder){
        if(appletOrder.getId() == null){
            return AjaxResult.error("订单标识不能为空");
        }
        if(appletOrder.getUserId() == null){
            return AjaxResult.error("userId用户信息标识不能为空");
        }
        appletOrder.setStatus(1);
        appletOrderService.updateAppletOrder(appletOrder);
        return AjaxResult.success("接单成功",appletOrder);
    }



    //我的订单流程
    @ApiOperation("小程序-我的订单流程")
    @GetMapping("/myList")
    public AjaxResult myList(AppletOrder appletOrder){
        if(appletOrder.getType()==null){
            return AjaxResult.error("type状态不能为空");
        }
        if(appletOrder.getUserId() == null){
            return AjaxResult.error("userId用户信息标识不能为空");
        }
        List<AppletOrder> list = appletOrderService.selectAppletOrderList(appletOrder);
        for(AppletOrder order:list){
            order.setAppletPetList(appletPetService.selectAppletPetListByOrderId(order.getId()));
        }
        return AjaxResult.success("我的订单数据列表",list);
    }










}
