package com.ruoyi.model.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单信息对象 applet_order
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Data
public class AppletOrder {
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createTime;

    /** 创建者 */
    private Integer createBy;

    /** 修改时间 */
    private String updateTime;

    /** 修改者 */
    private Integer updateBy;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime payTime;

    /** 订单状态 */
    @Excel(name = "订单状态")
    private Integer status;

    /** 本单酬劳 */
    @Excel(name = "本单酬劳")
    private BigDecimal price;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 订单类型 */
    @Excel(name = "订单类型")
    private String type;

    /** 无法接单原因 */
    @Excel(name = "无法接单原因")
    private String reason;

    /** 关联服务者ID */
    @Excel(name = "关联服务者ID")
    private Long userId;

    /** 关联宠物ID */
    @Excel(name = "关联宠物ID")
    private Integer petId;


    @TableField(exist = false)
    private List<AppletPet> appletPetList;

}